CTAGS-LANG-SYSTEMTAP(7)

NAME
ctags-lang-systemtap - Random notes about tagging SystemTap source code with Universal Ctags

SYNOPSIS
ctags ... --languages=+SystemTap ...
ctags ... --language-force=SystemTap ...
ctags ... --map-SystemTap=+.stp ...

DESCRIPTION

This man page gathers random notes about tagging SystemTap scripts.

  Guests

The SystemTap parser runs CPreProcessor as a guest parser on the areas surrounded by %{ and %}.

"input.stp"

%{
#define X 1
%}

"output.tags" with "--options=NONE -o - --sort=no --extras=+{guest} input.stp"

X       input.stp       /^#define X /;" d       file:

VERSIONS

  Change since "0.0"

•   New role attached for probe kind

SEE ALSO

ctags(1), SystemTap Language Reference (https://sourceware.org/systemtap/langref/)